package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcTbwc;
import org.apache.ibatis.annotations.Param;

/**
 * 通报完成情况Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcTbwcMapper 
{
    /**
     * 查询通报完成情况
     * 
     * @param id 通报完成情况主键
     * @return 通报完成情况
     */
    public TcTbwc selectTcTbwcById(Long id);

    /**
     * 查询通报完成情况列表
     * 
     * @param tcTbwc 通报完成情况
     * @return 通报完成情况集合
     */
    public List<TcTbwc> selectTcTbwcList(TcTbwc tcTbwc);

    /**
     * 新增通报完成情况
     * 
     * @param tcTbwc 通报完成情况
     * @return 结果
     */
    public int insertTcTbwc(TcTbwc tcTbwc);

    /**
     * 修改通报完成情况
     * 
     * @param tcTbwc 通报完成情况
     * @return 结果
     */
    public int updateTcTbwc(TcTbwc tcTbwc);

    /**
     * 删除通报完成情况
     * 
     * @param id 通报完成情况主键
     * @return 结果
     */
    public int deleteTcTbwcById(Long id);

    /**
     * 批量删除通报完成情况
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcTbwcByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
